<?php

namespace App\Models\Profile;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserProfilePicture extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'path',
    ];

    public function __construct(array $attributes = [])
    {
        $this->table = env('DB_DATABASE') . '.user_profile_pictures';
        $this->connection = env('DB_CONNECTION');
        parent::__construct($attributes);
    }
}
